POST api/sizeapi/add?siteId={siteId}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
siteId

globally unique identifier

None.

Body Parameters

SizeViewModel
NameDescriptionTypeAdditional information
descriptions

Dictionary of string [key] and string [value]

None.

active

boolean

Required

bag_position

integer

None.

code

string

Required

customer_id

globally unique identifier

Required

id

globally unique identifier

None.

Request Formats

application/json, text/json

Sample:
{
  "descriptions": {
    "sample string 1": "sample string 2",
    "sample string 3": "sample string 4"
  },
  "active": true,
  "bag_position": 1,
  "code": "sample string 2",
  "customer_id": "4a1171c1-aeae-4c56-b815-fcccd0d612a0",
  "id": "3bcf08d6-0b39-4c66-a1e4-ed5d38c7897c"
}

application/xml, text/xml

Sample:
<size xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <active>true</active>
  <bag_position>1</bag_position>
  <code>sample string 2</code>
  <customer_id>4a1171c1-aeae-4c56-b815-fcccd0d612a0</customer_id>
  <id>3bcf08d6-0b39-4c66-a1e4-ed5d38c7897c</id>
  <descriptions xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
    <d2p1:KeyValueOfstringstring>
      <d2p1:Key>sample string 1</d2p1:Key>
      <d2p1:Value>sample string 2</d2p1:Value>
    </d2p1:KeyValueOfstringstring>
    <d2p1:KeyValueOfstringstring>
      <d2p1:Key>sample string 3</d2p1:Key>
      <d2p1:Value>sample string 4</d2p1:Value>
    </d2p1:KeyValueOfstringstring>
  </descriptions>
</size>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

globally unique identifier

Response Formats

application/json, text/json

Sample:
"775a8678-1bed-4e6d-92f1-dae2b9634209"

application/xml, text/xml

Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">775a8678-1bed-4e6d-92f1-dae2b9634209</guid>